<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Menschderlader: menschderlader.models.data.SetQueue Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Menschderlader
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">A bot that mimics a human while downloading files</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacemenschderlader.html">menschderlader</a></li><li class="navelem"><a class="el" href="namespacemenschderlader_1_1models.html">models</a></li><li class="navelem"><a class="el" href="namespacemenschderlader_1_1models_1_1data.html">data</a></li><li class="navelem"><a class="el" href="classmenschderlader_1_1models_1_1data_1_1_set_queue.html">SetQueue</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classmenschderlader_1_1models_1_1data_1_1_set_queue-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">menschderlader.models.data.SetQueue Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for menschderlader.models.data.SetQueue:</div>
<div class="dyncontent">
<div class="center"><img src="classmenschderlader_1_1models_1_1data_1_1_set_queue__inherit__graph.png" border="0" usemap="#menschderlader_8models_8data_8_set_queue_inherit__map" alt="Inheritance graph"/></div>
<map name="menschderlader_8models_8data_8_set_queue_inherit__map" id="menschderlader_8models_8data_8_set_queue_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for menschderlader.models.data.SetQueue:</div>
<div class="dyncontent">
<div class="center"><img src="classmenschderlader_1_1models_1_1data_1_1_set_queue__coll__graph.png" border="0" usemap="#menschderlader_8models_8data_8_set_queue_coll__map" alt="Collaboration graph"/></div>
<map name="menschderlader_8models_8data_8_set_queue_coll__map" id="menschderlader_8models_8data_8_set_queue_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac9a41eebddc3f0f341eee130d25801ea"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmenschderlader_1_1models_1_1data_1_1_set_queue.html#ac9a41eebddc3f0f341eee130d25801ea">__contains__</a> (self, item)</td></tr>
<tr class="separator:ac9a41eebddc3f0f341eee130d25801ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">A queue which can check if it contains an item </pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ac9a41eebddc3f0f341eee130d25801ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9a41eebddc3f0f341eee130d25801ea">&#9670;&nbsp;</a></span>__contains__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.models.data.SetQueue.__contains__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/menschderlader/menschderlader/models/<a class="el" href="data_8py.html">data.py</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
